%define upstream_name    ExtUtils-MakeMaker
%define upstream_version 7.74
%global cpan_name ExtUtils-MakeMaker

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Writes Makefiles for extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
#
# From Fedora:
#
# Do not set RPATH to perl shared-library modules by default. Bug #773622.
# This is copy from `perl' package. This is a distributor extension.
Patch0:     %{cpan_name}-7.36-USE_MM_LD_RUN_PATH.patch
# Link to libperl.so explicitly. Bug #960048.
Patch1:     %{cpan_name}-7.30-Link-to-libperl-explicitly-on-Linux.patch
# Unbundle version modules
Patch2:     %{cpan_name}-7.04-Unbundle-version.patch
# Unbundle Encode::Locale module
Patch3:     %{cpan_name}-7.22-Unbundle-Encode-Locale.patch
# Provide maybe_command independently, bug #1129443
Patch4:     %{cpan_name}-7.11-Provide-ExtUtils-MM-methods-as-standalone-ExtUtils-M.patch
# append to config cflags debian #628522
Patch10:    ExtUtils-MakeMaker-7.72-append_to_config_cflags_instead_of_overriding.patch
Patch12:    ExtUtils-MakeMaker-6.59-prevent-bundled-copies.patch

BuildRequires: perl(CPAN::Meta) >= 2.143.240
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::Install) >= 1.520.0
BuildRequires: perl(ExtUtils::Manifest) >= 1.700.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(Pod::Man)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(version)
BuildRequires: perl-devel,
BuildArch:  noarch
Obsoletes:  perl-ExtUtils-Command < 1.201

# Do not export underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)\s*$
# Do not export private redefinitions
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DynaLoader|ExtUtils::MakeMaker::_version\\)
# Do not export private modules and libraries
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
Include all the modules bundled with MakeMaker in @INC so
ExtUtils::MakeMaker will load.

This is for bootstrapping the process of deciding how much of the bundles
we need.

copy_bundles() copies the contents of each bundle, if necessary, into inc/
as a flattened module directory that MakeMaker can install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 10 -p1 -b .App
#patch -P 12 -b .nobundled
# Remove bundled modules
rm -rf bundled
sed -i -e '/^bundled\// d' MANIFEST
rm -rf t/lib/Test
sed -i -e '/^t\/lib\/Test\// d' MANIFEST
rm -rf lib/ExtUtils/MakeMaker/version{,.pm}
sed -i -e '/^lib\/ExtUtils\/MakeMaker\/version[\/\.]/ d' MANIFEST
rm -rf lib/ExtUtils/MakeMaker/Locale.pm
sed -i -e '/^lib\/ExtUtils\/MakeMaker\/Locale\.pm/ d' MANIFEST

%build
BUILDING_AS_PACKAGE=1 %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install
mv %{buildroot}/%{_bindir}/instmodsh   %{buildroot}/%{_bindir}/instmodsh.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/instmodsh.1 %{buildroot}/%{_mandir}/man1/instmodsh.%{upstream_version}.1

%files
%doc CONTRIBUTING Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Apr 12 2025 tv <tv> 7.740.0-1.mga10
+ Revision: 2174881
- update to 7.74

* Sun Mar 16 2025 tv <tv> 7.720.0-1.mga10
+ Revision: 2164666
- update to 7.72

* Sun Dec 22 2024 pterjan <pterjan> 7.700.0-2.mga10
+ Revision: 2128027
- Rebuild for patchN deprecation

* Wed Aug 30 2023 tv <tv> 7.700.0-1.mga10
+ Revision: 1981084
- update to 7.70

* Thu Dec 29 2022 tv <tv> 7.660.0-1.mga9
+ Revision: 1927711
- update to 7.66

* Mon Mar 21 2022 umeabot <umeabot> 7.640.0-2.mga9
+ Revision: 1815860
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 7.640.0-1.mga9
+ Revision: 1763127
- update to 7.64

* Mon May 24 2021 tmb <tmb> 7.620.0-3.mga9
+ Revision: 1726213
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Thu Apr 15 2021 tv <tv> 7.620.0-1.mga9
+ Revision: 1715831
- update to 7.62

* Thu Feb 25 2021 tv <tv> 7.600.0-1.mga9
+ Revision: 1690231
- update to 7.60

* Tue Dec 22 2020 tv <tv> 7.580.0-1.mga8
+ Revision: 1662713
- update to 7.58

* Fri Nov 20 2020 tv <tv> 7.560.0-1.mga8
+ Revision: 1647845
- update to 7.56

* Fri Nov 13 2020 tv <tv> 7.540.0-1.mga8
+ Revision: 1644900
- update to 7.54

* Thu Nov 05 2020 tv <tv> 7.520.0-1.mga8
+ Revision: 1642743
- update to 7.52

* Thu Oct 22 2020 tv <tv> 7.500.0-1.mga8
+ Revision: 1638220
- update to 7.50

* Mon Oct 05 2020 tv <tv> 7.480.0-1.mga8
+ Revision: 1632239
- update to 7.48

* Wed Jun 24 2020 tv <tv> 7.460.0-1.mga8
+ Revision: 1599042
- update to 7.46

* Wed Feb 19 2020 umeabot <umeabot> 7.440.0-2.mga8
+ Revision: 1543150
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 tv <tv> 7.440.0-1.mga8
+ Revision: 1478022
- update to 7.44

* Wed Dec 18 2019 tv <tv> 7.420.0-1.mga8
+ Revision: 1468688
- update to 7.42

* Tue Dec 17 2019 tv <tv> 7.400.0-1.mga8
+ Revision: 1468542
- update to 7.40

* Thu Sep 12 2019 tv <tv> 7.380.0-1.mga8
+ Revision: 1440087
- update to 7.38

* Thu Aug 29 2019 tv <tv> 7.360.0-5.mga8
+ Revision: 1435025
- Remove bundled modules

* Wed Aug 28 2019 tv <tv> 7.360.0-4.mga8
+ Revision: 1434837
- Do not set RPATH to perl shared-library modules by default like main perl (rhbz#773622)
+ tmb <tmb>
- rebuild for perl-5.30.0-4.mga8

* Wed Jul 03 2019 tv <tv> 7.360.0-2.mga8
+ Revision: 1417914
- Provide maybe_command independently in ExtUtils::MM::Utils (rhbz#1129443)
  thus fixing building  perl-List-MoreUtils-XS with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 7.360.0-1.mga8
+ Revision: 1415573
- update to 7.36

* Thu Sep 20 2018 umeabot <umeabot> 7.340.0-2.mga7
+ Revision: 1283646
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 7.340.0-1.mga7
+ Revision: 1210629
- New version 7.34

* Fri Jul 21 2017 sander85 <sander85> 7.300.0-1.mga7
+ Revision: 1126042
- update to 7.30

* Fri Jun 09 2017 shlomif <shlomif> 7.280.0-1.mga6
+ Revision: 1107417
- New version 7.28 to fix build

* Fri Oct 14 2016 tv <tv> 7.160.0-2.mga6
+ Revision: 1060758
- patch 1: link to libperl.so explicitly (like module in main perl)

* Sun May 08 2016 shlomif <shlomif> 7.160.0-1.mga6
+ Revision: 1010665
- update to 7.16

* Fri Apr 29 2016 shlomif <shlomif> 7.140.0-1.mga6
+ Revision: 1007820
- New version 7.14

* Fri Feb 19 2016 umeabot <umeabot> 7.100.0-2.mga6
+ Revision: 970006
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 7.100.0-1.mga6
+ Revision: 884600
- update to 7.10

* Fri Sep 04 2015 tv <tv> 7.60.0-2.mga6
+ Revision: 872687
- adjust patch
- new release

* Sun Jun 21 2015 sander85 <sander85> 7.40.0-1.mga6
+ Revision: 837004
- update to 7.04

* Sun Oct 19 2014 umeabot <umeabot> 6.980.0-5.mga5
+ Revision: 789347
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.980.0-4.mga5
+ Revision: 746193
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 6.980.0-3.mga5
+ Revision: 732105
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.980.0-2.mga5
+ Revision: 684684
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 6.980.0-1.mga5
+ Revision: 620414
- update to 6.98

* Tue Apr 15 2014 jquelin <jquelin> 6.960.0-1.mga5
+ Revision: 614573
- update to 6.96

* Tue Apr 01 2014 jquelin <jquelin> 6.940.0-1.mga5
+ Revision: 611096
- update to 6.94

* Fri Mar 14 2014 jquelin <jquelin> 6.920.0-1.mga5
+ Revision: 603691
- update to 6.92

* Tue Feb 25 2014 jquelin <jquelin> 6.900.0-1.mga5
+ Revision: 596825
- update to 6.90

* Mon Feb 10 2014 jquelin <jquelin> 6.880.0-1.mga5
+ Revision: 587952
- update to 6.88

* Mon Oct 21 2013 umeabot <umeabot> 6.780.0-2.mga4
+ Revision: 537514
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 6.780.0-1.mga4
+ Revision: 487197
- update to 6.78

* Sun Sep 08 2013 sander85 <sander85> 6.760.0-1.mga4
+ Revision: 476234
- update to 6.76

* Wed Aug 28 2013 sander85 <sander85> 6.740.0-1.mga4
+ Revision: 472722
- update to 6.74

* Wed Jul 24 2013 sander85 <sander85> 6.720.0-1.mga4
+ Revision: 457888
- update to 6.72

* Wed Jul 24 2013 sander85 <sander85> 6.700.0-1.mga4
+ Revision: 457599
- update to 6.70

* Tue Jul 09 2013 jquelin <jquelin> 6.680.0-1.mga4
+ Revision: 451888
- update to 6.68

* Wed Mar 27 2013 jquelin <jquelin> 6.640.0-3.mga3
+ Revision: 405480
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.640.0-2.mga3
+ Revision: 367028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.640.0-1.mga3
+ Revision: 341886
- update to 6.64

* Fri Oct 12 2012 neoclust <neoclust> 6.620.0-5.mga3
+ Revision: 305042
- Do not package backuped files

* Thu Jan 12 2012 rtp <rtp> 6.620.0-4.mga2
+ Revision: 195255
- Make sure that perl-CPAN-Meta is installed, as it's needed by the testsuite.

* Thu Dec 15 2011 jquelin <jquelin> 6.620.0-3.mga2
+ Revision: 182036
- fix eumm cflags overriding

* Thu Dec 15 2011 jquelin <jquelin> 6.620.0-2.mga2
+ Revision: 182027
- re-enable test suite

* Sat Nov 05 2011 kharec <kharec> 6.620.0-1.mga2
+ Revision: 163825
- Disable checks which are break.
- Use make instead of %%make check
- update to 6.62
+ jquelin <jquelin>
- override perl 5.14.2 bundle
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 6.590.0-2.mga2
+ Revision: 148599
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- prevent bundled copies to be used

* Wed Aug 31 2011 jquelin <jquelin> 6.590.0-1.mga2
+ Revision: 136953
- adding missing buildrequires
- imported package perl-ExtUtils-MakeMaker

